Confirm upload and create asset record
curl --request POST \
--url https://api.runflow.io/v1/asset-uploads/{asset_upload_id}/confirmations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"r2_key": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"asset_type": "<string>",
"source_type": "<string>",
"source_id": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"avatar_url": "<string>"
}
}Media
Confirm upload and create asset record
After the frontend uploads the file to storage, call this endpoint to verify the upload and create the asset record. The backend HEADs the storage object to read actual size and MIME type.
POST
/
v1
/
asset-uploads
/
{asset_upload_id}
/
confirmations
Confirm upload and create asset record
curl --request POST \
--url https://api.runflow.io/v1/asset-uploads/{asset_upload_id}/confirmations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"r2_key": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"asset_type": "<string>",
"source_type": "<string>",
"source_id": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"avatar_url": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
POST /v1/asset-uploads/{asset_upload_id}/confirmations body.
Response
Successful Response
Response shape.
Minimal user shape for embedded user fields.
Includes only display-relevant fields. Excludes sensitive/admin fields: email_verified_at, disabled_at, is_internal, locale_code, timezone.
Show child attributes
Show child attributes
⌘I